Package org.drinkless.tdlib

# Class TdApi.StartGroupCallRecording

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.StartGroupCallRecording

Enclosing class:
  `TdApi`

public static class TdApi.StartGroupCallRecording extends TdApi.Function<TdApi.Ok>
Starts recording of an active group call; for video chats only. Requires groupCall.canBeManaged right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `boolean`
  `recordVideo`
  Pass true to record a video file instead of an audio file.
  `String`
  `title`
  Group call recording title; 0-64 characters.
  `boolean`
  `usePortraitOrientation`
  Pass true to use portrait orientation for video instead of landscape one.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartGroupCallRecording()`
  Default constructor for a function, which starts recording of an active group call; for video chats only.
  `StartGroupCallRecording(int groupCallId, String title, boolean recordVideo, boolean usePortraitOrientation)`
  Creates a function, which starts recording of an active group call; for video chats only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### title

    public String title
    Group call recording title; 0-64 characters.

  - ### recordVideo

    public boolean recordVideo
    Pass true to record a video file instead of an audio file.

  - ### usePortraitOrientation

    public boolean usePortraitOrientation
    Pass true to use portrait orientation for video instead of landscape one.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StartGroupCallRecording

    public StartGroupCallRecording()
    Default constructor for a function, which starts recording of an active group call; for video chats only. Requires groupCall.canBeManaged right.

    Returns `Ok`

  - ### StartGroupCallRecording

    public StartGroupCallRecording(int groupCallId, String title, boolean recordVideo, boolean usePortraitOrientation)
    Creates a function, which starts recording of an active group call; for video chats only. Requires groupCall.canBeManaged right.

    Returns `Ok`

    Parameters:
      `groupCallId` - Group call identifier.
      `title` - Group call recording title; 0-64 characters.
      `recordVideo` - Pass true to record a video file instead of an audio file.
      `usePortraitOrientation` - Pass true to use portrait orientation for video instead of landscape one.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR